/*
    cmd.h
    Copyright (C) 2007  

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* ============================================================================
   Markus Fulde                                                      03.01.2011
   ----------------------------------------------------------------------------
   
   Der Sourcecode zum RF-Betrieb des SCART-Adapters stammt aus dem Forum
                        http://www.bettyhacks.com
   und wurde speziell fr das Projekt StarLight angepasst. Dabei wurden nicht
   bentigte Funktionen aus Grnden der Speichergre und Laufzeitoptimierung
   komplett entfernt.
   
   Der in dieser Version nun vorliegende Programmcode dient zur Kommunikation
   der Betty ber Funk mit dem Master-Modul des StarLight-Projekts. Hierbei
   werden Daten 1:1 durchgeroutet. Die Funktionen beschrnken sich auf den
   Paket-Typ RF_PACKET_BINARY.
   ============================================================================
   Historie:
   03.01.2010  Version 1  Erste vollstndige Version nach Optimierung
   
   ============================================================================
*/

/* =================================== Includes ============================ */


/* ================== Datentypen und Variablendefinitionen ================= */

#ifndef cmd_H
#define cmd_H

#define redir_ACK       0
#define redir_SET       1
#define redir_START     2
#define redir_STOP      3
#define redir_PING      4


/* ======================== Prototyping ==================================== */

void cmdStarLightSendRF ( void );
void force_ping(void);
void transmit(unsigned char len);
void transmitRedir(unsigned char len, unsigned char dest);
void transmitB(void);
void print_cc1100confi(void);
void print_cc1100status(void);
void read_byteB(void);
void write_byteB(void);
void read_burst_byteB(void);
void write_burst_byteB(void);
void cmd_strobeB(void);
void send_WORb(void);

#endif


/* =================================== Ende ================================ */

