/*
    rf.h
    Copyright (C) 2009 Telekatz <telekatz@gmx.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* ============================================================================
   Markus Fulde                                                      03.01.2011
   ----------------------------------------------------------------------------
   
   Der Sourcecode zum RF-Betrieb des SCART-Adapters stammt aus dem Forum
                        http://www.bettyhacks.com
   und wurde speziell fr das Projekt StarLight angepasst. Dabei wurden nicht
   bentigte Funktionen aus Grnden der Speichergre und Laufzeitoptimierung
   komplett entfernt.
   
   Der in dieser Version nun vorliegende Programmcode dient zur Kommunikation
   der Betty ber Funk mit dem Master-Modul des StarLight-Projekts. Hierbei
   werden Daten 1:1 durchgeroutet. Die Funktionen beschrnken sich auf den
   Paket-Typ RF_PACKET_BINARY.
   ============================================================================
   Historie:
   03.01.2010  Version 1  Erste vollstndige Version nach Optimierung
   
   ============================================================================
*/

/* =================================== Includes ============================ */


/* ================== Datentypen und Variablendefinitionen ================= */

#ifndef RF_H
#define RF_H

#define RF_PACKET_TEST        1
#define RF_PACKET_PING        2
#define RF_PACKET_TIME        3
#define RF_PACKET_RF_ENC      4
#define RF_PACKET_REDIR_DAT   5
#define RF_PACKET_REDIR_CMD   6
#define RF_PACKET_XML         7
#define RF_PACKET_BINARY      8

extern unsigned char cc1100Addr;

struct cc1100frame_ 
{
   unsigned char len;
   unsigned char destAddr;
   unsigned char srcAddr;
   unsigned char packetType;
   unsigned char dat[];
};
#define headerLen      0x04

struct cc1100frameheader_
{
   unsigned char len;
   unsigned char destAddr;
   unsigned char srcAddr;
   unsigned char packetType;
};


/* ======================== Prototyping ==================================== */

void RF_init (void);
void waitTX(void);
void sendWOR(unsigned char addr);
void RF_isr (void) __interrupt (7);
void RF_startIRQ (void);

#endif


/* =================================== Ende ================================ */

